Package org.eclipse.birt.chart.render

# Class EmptyWithoutAxes

java.lang.Object
org.eclipse.birt.chart.render.BaseRenderer
org.eclipse.birt.chart.render.EmptyWithoutAxes

All Implemented Interfaces:
  `ISeriesRenderer`

public final class EmptyWithoutAxes extends BaseRenderer
This class implements an empty renderer for ChartWithoutAxes type.

## Constructor Summary

Constructors
Constructor
Description
`EmptyWithoutAxes()`

## Method Summary

Modifier and Type
Method
Description
`void`
`compute(Bounds bo, Plot p, ISeriesRenderingHints isrh)`
Sends out a first pass notification to the series renderer implementation to perform any necessary pre-computations prior to a second pass rendering.
`void`
`renderLegendGraphic(IPrimitiveRenderer ipr, Legend lg, Fill fPaletteEntry, Bounds bo)`
Notifies the series renderer to render a legend graphic element in the legend content that represents the series associated with the renderer.
`void`
`renderSeries(IPrimitiveRenderer ipr, Plot p, ISeriesRenderingHints isrh)`
Notifies the series renderer to render itself in the provided plot area.

### Methods inherited from class org.eclipse.birt.chart.render.BaseRenderer

`getAxesDecorator, getComputations, getDeferredCache, getDeferredCacheManager, getDevice, getDeviceScale, getFilteredMinSliceEntry, getModel, getRenderer, getRunTimeContext, getSeries, getSeriesCount, getSeriesDefinition, getSeriesIndex, getSeriesRenderingHints, getX, getXServer, getY, instances, isInteractivityEnabled, isRightToLeft, isTransposed, processTrigger, render, renderLabel, renderLabel, renderLabel, renderLegend, renderPlot, renderTitle, set, set, set, set, set, set, set, setDeferredCacheManager, switchAnchor, switchPosition, switchTextAlignment, updateTranslucency`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmptyWithoutAxes

public EmptyWithoutAxes()

## Method Details

### renderSeries

public void renderSeries(IPrimitiveRenderer ipr, Plot p, ISeriesRenderingHints isrh) throws ChartException
Description copied from interface: `ISeriesRenderer`
Notifies the series renderer to render itself in the provided plot area. Each of the individual series renderers will have to implement their own graphic element rendering routines w.r.t. the plot background.

Parameters:
  `ipr` -
  `p` -
  `isrh` -
Throws:
  `ChartException`

### compute

public void compute(Bounds bo, Plot p, ISeriesRenderingHints isrh) throws ChartException
Description copied from interface: `ISeriesRenderer`
Sends out a first pass notification to the series renderer implementation to perform any necessary pre-computations prior to a second pass rendering.

Parameters:
  `bo` -
  `p` -
  `isrh` -
Throws:
  `ChartException`

### renderLegendGraphic

public void renderLegendGraphic(IPrimitiveRenderer ipr, Legend lg, Fill fPaletteEntry, Bounds bo) throws ChartException
Description copied from interface: `ISeriesRenderer`
Notifies the series renderer to render a legend graphic element in the legend content that represents the series associated with the renderer.

Parameters:
  `ipr` -
  `lg` -
  `fPaletteEntry` -
  `bo` -
Throws:
  `ChartException`